Subject: [alpine-aports] [PATCH 1/9] testing/py-rencode: new aport

From: Stuart Cardall <[email-masked]>
Date: Sun, 24 Apr 2016 23:23:01 +0000

closes https://bugs.alpinelinux.org/issues/5481

---
 testing/py-rencode/APKBUILD | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)
 create mode 100644 testing/py-rencode/APKBUILD

diff --git a/testing/py-rencode/APKBUILD b/testing/py-rencode/APKBUILD
new file mode 100644
index 0000000..29187a8
--- /dev/null
+++ b/testing/py-rencode/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Stuart Cardall <[email-masked]>
+# Maintainer: Stuart Cardall <[email-masked]>
+pkgname=py-rencode
+_pkgreal=${pkgname#py-*}
+pkgver=1.0.4
+_pkgver=${pkgver}-1
+pkgrel=0
+pkgdesc="Python module for fast (basic) object serialization similar to bencode"
+url="https://pypi.python.org/pypi/rencode"
+arch="all"
+license="GPL3"
+depends="python"
+depends_dev=""
+makedepends="python-dev cython-dev cython"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/r/$_pkgreal/$_pkgreal-$_pkgver.tar.gz"
+
+builddir="$srcdir"/$_pkgreal-$pkgver
+build() {
+	cd "$builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="5f8507a5d089d55e6e98960bafa0b08f  rencode-1.0.4-1.tar.gz"
+sha256sums="8183a6ad9d49e233951cffa9bdb5dc9f17e1a188e2f08cc3b4fa21c41a46aa46  rencode-1.0.4-1.tar.gz"
+sha512sums="cdfc2921c590e78157fe0c157732e3dd125c8e109822da2fa8d9960bc8b36c931525bae7104b0ea180eb89e5d264f681b0e1bbd803bb06401f44ce68c5413f3b  rencode-1.0.4-1.tar.gz"
-- 
2.8.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Stuart Cardall <[email-masked]>
Date: Sun, 24 Apr 2016 23:23:02 +0000

closes https://bugs.alpinelinux.org/issues/5483

---
 testing/py-opengl/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/py-opengl/APKBUILD

diff --git a/testing/py-opengl/APKBUILD b/testing/py-opengl/APKBUILD
new file mode 100644
index 0000000..42b0aa7
--- /dev/null
+++ b/testing/py-opengl/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Stuart Cardall <[email-masked]>
+# Maintainer: Stuart Cardall <[email-masked]>
+pkgname=py-opengl
+pkgver=3.1.1
+_pkgreal=PyOpenGL-${pkgver}a1
+pkgrel=0
+pkgdesc="OpenGL bindings for Python"
+url="http://pyopengl.sourceforge.net/"
+arch="noarch"
+license="BSD"
+depends="python freeglut mesa-gles py-pillow py-numpy"
+depends_dev=""
+makedepends="python-dev py-setuptools freeglut-dev"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/P/PyOpenGL/$_pkgreal.tar.gz"
+
+builddir="$srcdir"/$_pkgreal
+build() {
+	cd "$builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="77ee6044ceb2cf952aca89a9b2d3d585  PyOpenGL-3.1.1a1.tar.gz"
+sha256sums="c96d909b359abe3271b746bacf7e6ba52935141e2406a8f90231e4e44dfa4075  PyOpenGL-3.1.1a1.tar.gz"
+sha512sums="8f4f57b153ee014dc238fe83180cc92f8e789a274fc6b0cbef6f5dec9dbc44cb1ae1f6b142a6c2b4c8c000709338d64f5968939eeb6a2384f87fb63ae99b40d8  PyOpenGL-3.1.1a1.tar.gz"
-- 
2.8.1

---

---

From: Stuart Cardall <[email-masked]>
Date: Sun, 24 Apr 2016 23:23:03 +0000

---
 testing/py-opengl-accelerate/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/py-opengl-accelerate/APKBUILD

diff --git a/testing/py-opengl-accelerate/APKBUILD b/testing/py-opengl-accelerate/APKBUILD
new file mode 100644
index 0000000..721329d
--- /dev/null
+++ b/testing/py-opengl-accelerate/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Stuart Cardall <[email-masked]>
+# Maintainer: Stuart Cardall <[email-masked]>
+pkgname=py-opengl-accelerate
+pkgver=3.1.1
+_pkgreal=PyOpenGL-accelerate-${pkgver}a1
+pkgrel=0
+pkgdesc="OpenGL bindings for Python (Cython extensions)"
+url="http://pyopengl.sourceforge.net/"
+arch="all"
+license="BSD"
+depends="cython"
+depends_dev=""
+makedepends="cython-dev"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/P/PyOpenGL-accelerate/$_pkgreal.tar.gz"
+
+builddir="$srcdir"/$_pkgreal
+build() {
+	cd "$builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="04e52af352dd078275a2d5720c4afea2  PyOpenGL-accelerate-3.1.1a1.tar.gz"
+sha256sums="3d37af9f2565febf214e1da2a5fe019561992d34026ce2a5f51972e121b84cdd  PyOpenGL-accelerate-3.1.1a1.tar.gz"
+sha512sums="6881e3b435da5a33ff31c0991f403166236b44a5bd21ca60418d131dafc1159d6b1c73e60b935d1761d4fc848b824422abbe0e850fe860fa694b64536dddc35c  PyOpenGL-accelerate-3.1.1a1.tar.gz"
-- 
2.8.1

---

---

From: Stuart Cardall <[email-masked]>
Date: Sun, 24 Apr 2016 23:23:04 +0000

closes https://bugs.alpinelinux.org/issues/5480

---
 testing/py-lz4/01-system_lz4.patch | 36 ++++++++++++++++++++++++++++++++++
 testing/py-lz4/02-tests.patch      | 24 +++++++++++++++++++++++
 testing/py-lz4/APKBUILD            | 40 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 100 insertions(+)
 create mode 100644 testing/py-lz4/01-system_lz4.patch
 create mode 100644 testing/py-lz4/02-tests.patch
 create mode 100644 testing/py-lz4/APKBUILD

diff --git a/testing/py-lz4/01-system_lz4.patch b/testing/py-lz4/01-system_lz4.patch
new file mode 100644
index 0000000..62a9c9d
--- /dev/null
+++ b/testing/py-lz4/01-system_lz4.patch
@@ -0,0 +1,36 @@
+Last-Update: 2014-08-10
+Forwarded: not-needed
+Author: Dmitry Smirnov <[email-masked]>
+Description: un-bundle liblz4 and link to the system one
+
+--- a/setup.py
++++ b/setup.py
+@@ -16,11 +16,11 @@
+     packages=find_packages('src'),
+     package_dir={'': 'src'},
+     ext_modules=[
+         Extension('lz4', [
+-            'src/lz4.c',
+-            'src/lz4hc.c',
+             'src/python-lz4.c'
++        ], libraries=[
++            "lz4",
+         ], extra_compile_args=[
+             "-std=c99",
+             "-O3",
+             "-Wall",
+--- a/src/python-lz4.c
++++ b/src/python-lz4.c
+@@ -32,10 +32,10 @@
+ #include <Python.h>
+ #include <stdlib.h>
+ #include <stdint.h>
+ #include <math.h>
+-#include "lz4.h"
+-#include "lz4hc.h"
++#include <lz4.h>
++#include <lz4hc.h>
+ #include "python-lz4.h"
+ 
+ #define MAX(a, b)               ((a) > (b) ? (a) : (b))
+
diff --git a/testing/py-lz4/02-tests.patch b/testing/py-lz4/02-tests.patch
new file mode 100644
index 0000000..dc1cb06
--- /dev/null
+++ b/testing/py-lz4/02-tests.patch
@@ -0,0 +1,24 @@
+Last-Update: 2014-08-10
+Origin: https://github.com/steeve/python-lz4/blob/master/tests/test.py
+Forwarded: not-needed
+Author: Dmitry Smirnov <[email-masked]>
+Description: add basic test
+
+--- /dev/null
++++ b/tests/test.py
+@@ -0,0 +1,15 @@
++import lz4
++import sys
++
++
++import unittest
++import os
++
++class TestLZ4(unittest.TestCase):
++
++    def test_random(self):
++        DATA = os.urandom(128 * 1024) # Read 128kb
++        self.assertEqual(DATA, lz4.loads(lz4.dumps(DATA)))
++
++if __name__ == '__main__':
++    unittest.main()
diff --git a/testing/py-lz4/APKBUILD b/testing/py-lz4/APKBUILD
new file mode 100644
index 0000000..725a5c6
--- /dev/null
+++ b/testing/py-lz4/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Stuart Cardall <[email-masked]>
+# Maintainer: Stuart Cardall <[email-masked]>
+pkgname=py-lz4
+pkgver=0.7.0
+_pkgreal=${pkgname#py-}
+pkgrel=0
+pkgdesc="LZ4 Bindings for Python"
+url="https://pypi.python.org/pypi/lz4"
+arch="all"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools lz4-dev"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/l/lz4/lz4-$pkgver.tar.gz
+	01-system_lz4.patch
+	02-tests.patch
+	"
+
+builddir="$srcdir"/$_pkgreal-$pkgver
+build() {
+	cd "$builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="e32842a49d5254f6918567197a704492  lz4-0.7.0.tar.gz
+fda5c197a766d61d0b1ffcaaf54552e3  01-system_lz4.patch
+cba5b0e90428e8451ddbc6f3ba480fbe  02-tests.patch"
+sha256sums="cd225744298568fd217577fc14a326a24835412374dadb5060db48f1af43eb48  lz4-0.7.0.tar.gz
+b6efbab93b4bbf69c5de40a61993a8ca332a4115e87448ad51907efd74bd5bbb  01-system_lz4.patch
+f0573be2656fcad5afdb7ecb25d7ce939505cfcfc2c9ad9d9bde21c9af3151fe  02-tests.patch"
+sha512sums="fd7adc4919e70259e5b23b15919c4932354a4518360315a8d6c15c58cdccf21257fb6069bdf20e86a2461f254b50f4abd7296330fd77647ecc2ca49500eedd11  lz4-0.7.0.tar.gz
+8e30ebe4b0074195f66c9f174006b7730a2a172f76d863ad4dbf0c282f8dc342ecc6e33bf0e1f691bbdace9ef6a13969a3271f39fe8bdbe2f4234397ca1fc0b8  01-system_lz4.patch
+68e84522478af8bdf741b45cdc4b4b4367fd7831452c8f0e5b127f58cc26e698e83931dc43d3016e2714d7497de7f6c112c720e379ce5c411b2f67e89b298ed8  02-tests.patch"
-- 
2.8.1

---

---

From: Stuart Cardall <[email-masked]>
Date: Sun, 24 Apr 2016 23:23:05 +0000

closes https://bugs.alpinelinux.org/issues/5484

---
 testing/py-gtkglext/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 testing/py-gtkglext/APKBUILD

diff --git a/testing/py-gtkglext/APKBUILD b/testing/py-gtkglext/APKBUILD
new file mode 100644
index 0000000..49a301a
--- /dev/null
+++ b/testing/py-gtkglext/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Stuart Cardall <[email-masked]>
+# Maintainer: Stuart Cardall <[email-masked]>
+pkgname=py-gtkglext
+_pkgreal=${pkgname/-/}
+pkgver=1.1.0
+pkgrel=0
+pkgdesc="GTK+ OpenGL Extension (Python bindings)"
+url="http://projects.gnome.org/gtkglext/"
+arch="all"
+license="GPL2.1"
+depends="python"
+depends_dev="$pkgname"
+makedepends="python-dev py-gtk-dev gtkglext-dev py-opengl"
+install=""
+subpackages="$pkgname-dev"
+source="http://downloads.sourceforge.net/gtkglext/$_pkgreal-$pkgver.tar.gz"
+
+builddir="$srcdir"/$_pkgreal-$pkgver
+build() {
+	cd "$builddir"
+        ./configure \
+                --prefix=/usr \
+                --sysconfdir=/etc \
+                --mandir=/usr/share/man \
+                --localstatedir=/var \
+                || return 1
+        make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="dfbe2ceb05db9265a7d94b209fa8ad97  pygtkglext-1.1.0.tar.gz"
+sha256sums="9712c04c60bf6ee7d05e0c6a6672040095c2ea803a1546af6dfde562dc0178a3  pygtkglext-1.1.0.tar.gz"
+sha512sums="a9a872f85117e033cc165082fa2747624f25cd73c77e0c2487f08fe352c8d918cf0b30712e5d495ff2aea4def5fbf7ade0ab45fac0c0b48a9f4cbab70c63d420  pygtkglext-1.1.0.tar.gz"
-- 
2.8.1

---

---

From: Stuart Cardall <[email-masked]>
Date: Sun, 24 Apr 2016 23:23:06 +0000

---
 testing/opencl-icd-loader/APKBUILD | 41 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/opencl-icd-loader/APKBUILD

diff --git a/testing/opencl-icd-loader/APKBUILD b/testing/opencl-icd-loader/APKBUILD
new file mode 100644
index 0000000..dbf14c2
--- /dev/null
+++ b/testing/opencl-icd-loader/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Stuart Cardall <[email-masked]>
+# Maintainer: Stuart Cardall <[email-masked]>
+pkgname=opencl-icd-loader
+_pkgreal=ocl-icd
+pkgver=2.2.9
+pkgrel=0
+pkgdesc="Generic OpenCL ICD Loader"
+url="https://forge.imag.fr/projects/ocl-icd/"
+arch="all"
+license="custom"
+depends=""
+depends_dev="$pkgname"
+makedepends="$depends_dev ruby"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://forge.imag.fr/frs/download.php/716/$_pkgreal-$pkgver.tar.gz"
+
+builddir="$srcdir"/$_pkgreal-$pkgver
+build() {
+	cd "$builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		|| return 1
+	# tests
+	#tests/testsuite || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	install -D -m644 COPYING "$pkgdir"/usr/share/doc/ocl-icd/LICENSE
+}
+
+md5sums="7dab1a9531ea79c19a414a9ee229504e  opencl-icd-loader-2.2.9.tar.gz"
+sha256sums="0c8ac13e2c5b737c34de49f9aca6cad3c4d33dd0bbb149b01238d76e798feae5  opencl-icd-loader-2.2.9.tar.gz"
+sha512sums="d0b1531812feb493bdc27fd4a141796c2ecd14efd79cfa00af47c7c6edc1a7b323cd2d3b7254117a1cfa1c55e24494f662034041a0976b6ee5a6154626eb2d65  opencl-icd-loader-2.2.9.tar.gz"
-- 
2.8.1

---

---

From: Stuart Cardall <[email-masked]>
Date: Sun, 24 Apr 2016 23:23:07 +0000

---
 testing/opencl-headers/APKBUILD | 42 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/opencl-headers/APKBUILD

diff --git a/testing/opencl-headers/APKBUILD b/testing/opencl-headers/APKBUILD
new file mode 100644
index 0000000..a3408ad
--- /dev/null
+++ b/testing/opencl-headers/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Stuart Cardall <[email-masked]>
+# Maintainer: Stuart Cardall <[email-masked]>
+pkgname=opencl-headers
+pkgver=2.1
+_pkgreal=OpenCL-Headers
+pkgrel=0
+pkgdesc="OpenCL (Open Computing Language) header files"
+url="https://www.khronos.org/registry/cl/"
+arch="noarch"
+license="custom"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/itoffshore/OpenCL-Headers/archive/$pkgver.tar.gz
+	$pkgname-$pkgver-LICENSE::https://github.com/KhronosGroup/OpenCL-ICD-Loader/raw/master/LICENSE.txt
+	"
+
+builddir="$srcdir"/$_pkgreal-$pkgver
+build() {
+	return 0
+}
+
+package() {
+	cd "$builddir"
+	mkdir -p "$pkgdir"/usr/include/CL
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname
+
+	for h in $(ls -1 *.h *.hpp); do
+		install -m 644 $h "$pkgdir"/usr/include/CL/
+	done
+
+	install -D -m644 ../$pkgname-$pkgver-LICENSE "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+}
+
+md5sums="c3294d2319cca738dbbc8eaca26f1bd3  opencl-headers-2.1.20151224.src.tar.xz
+ca6d58ec304a1ce6df094b52ca60c5ce  opencl-headers-2.1-LICENSE"
+sha256sums="c1c6d4a3dacec98987943f1ad411437feca1ab6d954814fa4dead37d7e2647bf  opencl-headers-2.1.20151224.src.tar.xz
+7c265341628a5f79ead4d8e00268649e16f2cb905ee21d713a2a0189cbd200b8  opencl-headers-2.1-LICENSE"
+sha512sums="4ec505bd5dfd8f50edd7c80519bf3848b5c02815ed7b6cf77626d6eb49164ed7f964863c1ad10e44894ed54a75b1c2a6f5f0a2f82a9147bef9c651392c2140cd  opencl-headers-2.1.20151224.src.tar.xz
+d4bf5d67de13d6c67c935e4ada64469fba442d278a0469785d3d4221c94dec6b342ae703a30bd8b1510938d98afd9fb1813f3a14706037fb0f811466076154fb  opencl-headers-2.1-LICENSE"
-- 
2.8.1

---

---

From: Stuart Cardall <[email-masked]>
Date: Sun, 24 Apr 2016 23:23:08 +0000

closes https://bugs.alpinelinux.org/issues/5482

---
 testing/py-opencl/APKBUILD | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)
 create mode 100644 testing/py-opencl/APKBUILD

diff --git a/testing/py-opencl/APKBUILD b/testing/py-opencl/APKBUILD
new file mode 100644
index 0000000..f701137
--- /dev/null
+++ b/testing/py-opencl/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Stuart Cardall <[email-masked]>
+# Maintainer: Stuart Cardall <[email-masked]>
+pkgname=py-opencl
+_pkgreal=${pkgname/-/}
+pkgver=2016.1
+pkgrel=0
+pkgdesc="Python wrapper for OpenCL"
+url="https://pypi.python.org/pypi/pyopencl"
+arch="all"
+license="MIT"
+depends="python"
+depends_dev="$pkgname"
+makedepends="python-dev py-setuptools py-mako py-numpy ctags libffi-dev mesa-dev opencl-headers opencl-icd-loader-dev"
+install=""
+subpackages="$pkgname-dev"
+#source="http://pypi.python.org/packages/source/p/$_pkgreal/$_pkgreal-$pkgver.tar.gz" # URL not yet live
+source="https://pypi.python.org/packages/cb/4e/fcb45db7d3005f5646f28a3de2a2f8e60a6e4b629f02bbb331320778f3a1/$_pkgreal-$pkgver.tar.gz"
+
+builddir="$srcdir"/$_pkgreal-$pkgver
+build() {
+	cd "$builddir"
+	python configure.py --cl-enable-gl --python-exe=python || return 1
+	make || return 1
+	python setup.py test
+}
+
+package() {
+	cd "$builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1 --skip-build || return 1
+}
+
+md5sums="0c8a33b6a6b427bcd9c5966da461d9c6  pyopencl-2016.1.tar.gz"
+sha256sums="54b6e8ad02dc437807739bd53e43851efe979bd51ec87996e44b94ab67238297  pyopencl-2016.1.tar.gz"
+sha512sums="3be8da315f9b4a4e03071152bb5968c5c7b102cbae6c70f358438cfd7951d12970a76dd8e922187ff73e47f7d0ce7a070e6f303dbe364c016796fa65d7e1de71  pyopencl-2016.1.tar.gz"
-- 
2.8.1

---

---

From: Stuart Cardall <[email-masked]>
Date: Sun, 24 Apr 2016 23:23:09 +0000

Also added:

opencl support
tests subpkg

It should now be possible to run X applications in docker / lxc:

https://xpra.org/trac/wiki/Usage/Docker
---
 testing/xpra/APKBUILD                     | 35 +++++++++++++++++++++++--------
 testing/xpra/fix-xdummy-musl-detect.patch | 19 +++++++++++++++++
 2 files changed, 45 insertions(+), 9 deletions(-)
 create mode 100644 testing/xpra/fix-xdummy-musl-detect.patch

diff --git a/testing/xpra/APKBUILD b/testing/xpra/APKBUILD
index da16e5a..30e3ee7 100644
--- a/testing/xpra/APKBUILD
+++ b/testing/xpra/APKBUILD
@@ -7,12 +7,16 @@ pkgdesc="Xpra is 'screen for X' & allows you to run X programs, usually on a rem
 url="http://xpra.org"
 arch="all"
 license="GPLv2+"
-depends="py-gobject py-gtk py-imaging xf86-video-dummy xvfb setxkbmap xorg-server"
-depends_dev="python-dev cython-dev libx11-dev libxtst-dev libxcomposite-dev libxdamage-dev libxrandr-dev
+depends="py-gobject py-gtk py-imaging xf86-video-dummy xvfb setxkbmap xorg-server py-numpy py-pillow py-gtkglext py-lz4 \
+	py-rencode py-opencl"
+# cython only depends until cython patch applies
+depends_dev="python-dev cython-dev cython libx11-dev libxtst-dev libxcomposite-dev libxdamage-dev libxrandr-dev
 		py-gobject-dev py-gtk-dev libxkbfile-dev gtk+2.0-dev x264-dev x265-dev libvpx-dev ffmpeg-dev libwebp-dev"
 makedepends="$depends_dev cython"
-subpackages="$pkgname-dev $pkgname-doc"
-source="http://xpra.org/src/$pkgname-$pkgver.tar.xz"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-tests"
+source="http://xpra.org/src/$pkgname-$pkgver.tar.xz
+	fix-xdummy-musl-detect.patch
+	"
 
 _builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
@@ -28,13 +32,17 @@ prepare() {
 build() {
         cd "$_builddir" # https://www.xpra.org/trac/ticket/1080
 	CFLAGS="$CFLAGS -fno-strict-aliasing"
-	# fixes lazy loading by xorg under musl http://xpra.org/trac/ticket/820
+	# dummy patch applied in http://xpra.org/trac/changeset/12475/xpra
+	# sed fix applied in http://xpra.org/trac/changeset/12471/xpra
 	sed -i setup.py \
                 -e '/GDK_BINDINGS_PACKAGES = PYGTK_PACKAGES/s/"xfixes"/"x11", "xext", "xfixes"/' \
                 -e 's/pkgconfig("xtst", "xfixes", "xcomposite", "xdamage", "xext")\
 			/pkgconfig("x11", "xtst", "xfixes", "xcomposite", "xdamage", "xext")/' \
                 -e 's/pkgconfig("xcomposite", "xdamage", "xext")/pkgconfig("x11", "xcomposite", "xdamage", "xext")/'
-	python setup.py build || return 1
+	python setup.py build \
+		--with-csc_opencl \
+		--with-bundle_tests \
+	|| return 1
 }
 
 package() {
@@ -42,6 +50,15 @@ package() {
         python setup.py install --prefix=/usr --root="$pkgdir" || return 1
 }
 
-md5sums="9f81ac22991083ee49e01f62ae113a56  xpra-0.16.3.tar.xz"
-sha256sums="1516ab10eb348092077ffb698bce234d06a234a5748e422fdf92f34922fb39ea  xpra-0.16.3.tar.xz"
-sha512sums="1a6bbd01837e702e98ffcaffe12a2e5320108ef50f0fcc64a80735fb53a2b41e4cdda0e0a2d1a3b5f2159a81da4a7c2cac458ab4c2eed4de17adb4e963218590  xpra-0.16.3.tar.xz"
+tests() {
+        cd "$_builddir"
+	mkdir -p "$subpkgdir"/usr/share/xpra
+	cp -rf tests "$subpkgdir"/usr/share/xpra/
+}
+
+md5sums="9f81ac22991083ee49e01f62ae113a56  xpra-0.16.3.tar.xz
+b19a1fd26e94be8db372c8555152218d  fix-xdummy-musl-detect.patch"
+sha256sums="1516ab10eb348092077ffb698bce234d06a234a5748e422fdf92f34922fb39ea  xpra-0.16.3.tar.xz
+eb88db7301a30441b710f38028f316f90e8cd3af213468d96a5d04d5c64a69ef  fix-xdummy-musl-detect.patch"
+sha512sums="1a6bbd01837e702e98ffcaffe12a2e5320108ef50f0fcc64a80735fb53a2b41e4cdda0e0a2d1a3b5f2159a81da4a7c2cac458ab4c2eed4de17adb4e963218590  xpra-0.16.3.tar.xz
+0ddc4a4359cc257a77445b4bc747bdb79ae8f049078c9dcb531fc41555e8d74842cf599edbd29a2f13bd977a20922df6ab4e51839dba7d4aae865897f2b872fc  fix-xdummy-musl-detect.patch"
diff --git a/testing/xpra/fix-xdummy-musl-detect.patch b/testing/xpra/fix-xdummy-musl-detect.patch
new file mode 100644
index 0000000..cacd7d0
--- /dev/null
+++ b/testing/xpra/fix-xdummy-musl-detect.patch
@@ -0,0 +1,19 @@
+--- xpra-0.16.3/scripts/xpra_Xdummy
++++ xpra-0.16.3/scripts/xpra_Xdummy.new
+@@ -30,8 +30,14 @@
+ 	fi
+ 
+ 	if [ ! -x "$LD_LINUX" ]; then
+-		LD_LINUX=''
+-		echo "could not determine ld path for $arch, please file an xpra bug"
++		# Musl C / Alpine Linux
++		ldmusl=$(ls /lib | grep ^ld-musl)
++		if [ -n "$ldmusl" ]; then
++			LD_LINUX="/lib/$ldmusl"
++		else
++			LD_LINUX=''
++			echo "could not determine ld path for $arch, please file an xpra bug"
++		fi
+ 	fi
+ }
+ 
-- 
2.8.1

---